/*
 * Copyright 2016 Google Inc.
 *
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */
#ifndef PNGPREFIX_H
#define PNGPREFIX_H
/*
 * This is necessary to build multiple copies of libpng.  We need this while pdfium has
 * its own copy of libpng.
 */
#define png_sRGB_table wk_png_sRGB_table
#define png_sRGB_base wk_png_sRGB_base
#define png_sRGB_delta wk_png_sRGB_delta
#define png_zstream_error wk_png_zstream_error
#define png_free_buffer_list wk_png_free_buffer_list
#define png_fixed wk_png_fixed
#define png_user_version_check wk_png_user_version_check
#define png_malloc_base wk_png_malloc_base
#define png_malloc_array wk_png_malloc_array
#define png_realloc_array wk_png_realloc_array
#define png_create_png_struct wk_png_create_png_struct
#define png_destroy_png_struct wk_png_destroy_png_struct
#define png_free_jmpbuf wk_png_free_jmpbuf
#define png_zalloc wk_png_zalloc
#define png_zfree wk_png_zfree
#define png_default_read_data wk_png_default_read_data
#define png_push_fill_buffer wk_png_push_fill_buffer
#define png_default_write_data wk_png_default_write_data
#define png_default_flush wk_png_default_flush
#define png_reset_crc wk_png_reset_crc
#define png_write_data wk_png_write_data
#define png_read_sig wk_png_read_sig
#define png_read_chunk_header wk_png_read_chunk_header
#define png_read_data wk_png_read_data
#define png_crc_read wk_png_crc_read
#define png_crc_finish wk_png_crc_finish
#define png_crc_error wk_png_crc_error
#define png_calculate_crc wk_png_calculate_crc
#define png_flush wk_png_flush
#define png_write_IHDR wk_png_write_IHDR
#define png_write_PLTE wk_png_write_PLTE
#define png_compress_IDAT wk_png_compress_IDAT
#define png_write_IEND wk_png_write_IEND
#define png_write_gAMA_fixed wk_png_write_gAMA_fixed
#define png_write_sBIT wk_png_write_sBIT
#define png_write_cHRM_fixed wk_png_write_cHRM_fixed
#define png_write_sRGB wk_png_write_sRGB
#define png_write_iCCP wk_png_write_iCCP
#define png_write_sPLT wk_png_write_sPLT
#define png_write_tRNS wk_png_write_tRNS
#define png_write_bKGD wk_png_write_bKGD
#define png_write_hIST wk_png_write_hIST
#define png_write_tEXt wk_png_write_tEXt
#define png_write_zTXt wk_png_write_zTXt
#define png_write_iTXt wk_png_write_iTXt
#define png_set_text_2 wk_png_set_text_2
#define png_write_oFFs wk_png_write_oFFs
#define png_write_pCAL wk_png_write_pCAL
#define png_write_pHYs wk_png_write_pHYs
#define png_write_tIME wk_png_write_tIME
#define png_write_sCAL_s wk_png_write_sCAL_s
#define png_write_finish_row wk_png_write_finish_row
#define png_write_start_row wk_png_write_start_row
#define png_combine_row wk_png_combine_row
#define png_do_read_interlace wk_png_do_read_interlace
#define png_do_write_interlace wk_png_do_write_interlace
#define png_read_filter_row wk_png_read_filter_row
#define png_read_filter_row_up_neon wk_png_read_filter_row_up_neon
#define png_read_filter_row_sub3_neon wk_png_read_filter_row_sub3_neon
#define png_read_filter_row_sub4_neon wk_png_read_filter_row_sub4_neon
#define png_read_filter_row_avg3_neon wk_png_read_filter_row_avg3_neon
#define png_read_filter_row_avg4_neon wk_png_read_filter_row_avg4_neon
#define png_read_filter_row_paeth3_neon wk_png_read_filter_row_paeth3_neon
#define png_read_filter_row_paeth4_neon wk_png_read_filter_row_paeth4_neon
#define png_read_filter_row_sub3_sse2 wk_png_read_filter_row_sub3_sse2
#define png_read_filter_row_sub4_sse2 wk_png_read_filter_row_sub4_sse2
#define png_read_filter_row_avg3_sse2 wk_png_read_filter_row_avg3_sse2
#define png_read_filter_row_avg4_sse2 wk_png_read_filter_row_avg4_sse2
#define png_read_filter_row_paeth3_sse2 wk_png_read_filter_row_paeth3_sse2
#define png_read_filter_row_paeth4_sse2 wk_png_read_filter_row_paeth4_sse2
#define png_write_find_filter wk_png_write_find_filter
#define png_read_IDAT_data wk_png_read_IDAT_data
#define png_read_finish_IDAT wk_png_read_finish_IDAT
#define png_read_finish_row wk_png_read_finish_row
#define png_read_start_row wk_png_read_start_row
#define png_read_transform_info wk_png_read_transform_info
#define png_do_read_filler wk_png_do_read_filler
#define png_do_read_swap_alpha wk_png_do_read_swap_alpha
#define png_do_write_swap_alpha wk_png_do_write_swap_alpha
#define png_do_read_invert_alpha wk_png_do_read_invert_alpha
#define png_do_write_invert_alpha wk_png_do_write_invert_alpha
#define png_do_strip_channel wk_png_do_strip_channel
#define png_do_swap wk_png_do_swap
#define png_do_packswap wk_png_do_packswap
#define png_do_rgb_to_gray wk_png_do_rgb_to_gray
#define png_do_gray_to_rgb wk_png_do_gray_to_rgb
#define png_do_unpack wk_png_do_unpack
#define png_do_unshift wk_png_do_unshift
#define png_do_invert wk_png_do_invert
#define png_do_scale_16_to_8 wk_png_do_scale_16_to_8
#define png_do_chop wk_png_do_chop
#define png_do_quantize wk_png_do_quantize
#define png_do_bgr wk_png_do_bgr
#define png_do_pack wk_png_do_pack
#define png_do_shift wk_png_do_shift
#define png_do_compose wk_png_do_compose
#define png_do_gamma wk_png_do_gamma
#define png_do_encode_alpha wk_png_do_encode_alpha
#define png_do_expand_palette wk_png_do_expand_palette
#define png_do_expand wk_png_do_expand
#define png_do_expand_16 wk_png_do_expand_16
#define png_handle_IHDR wk_png_handle_IHDR
#define png_handle_PLTE wk_png_handle_PLTE
#define png_handle_IEND wk_png_handle_IEND
#define png_handle_bKGD wk_png_handle_bKGD
#define png_handle_cHRM wk_png_handle_cHRM
#define png_handle_gAMA wk_png_handle_gAMA
#define png_handle_hIST wk_png_handle_hIST
#define png_handle_iCCP wk_png_handle_iCCP
#define png_handle_iTXt wk_png_handle_iTXt
#define png_handle_oFFs wk_png_handle_oFFs
#define png_handle_pCAL wk_png_handle_pCAL
#define png_handle_pHYs wk_png_handle_pHYs
#define png_handle_sBIT wk_png_handle_sBIT
#define png_handle_sCAL wk_png_handle_sCAL
#define png_handle_sPLT wk_png_handle_sPLT
#define png_handle_sRGB wk_png_handle_sRGB
#define png_handle_tEXt wk_png_handle_tEXt
#define png_handle_tIME wk_png_handle_tIME
#define png_handle_tRNS wk_png_handle_tRNS
#define png_handle_zTXt wk_png_handle_zTXt
#define png_check_chunk_name wk_png_check_chunk_name
#define png_handle_unknown wk_png_handle_unknown
#define png_chunk_unknown_handling wk_png_chunk_unknown_handling
#define png_do_read_transformations wk_png_do_read_transformations
#define png_do_write_transformations wk_png_do_write_transformations
#define png_init_read_transformations wk_png_init_read_transformations
#define png_push_read_chunk wk_png_push_read_chunk
#define png_push_read_sig wk_png_push_read_sig
#define png_push_check_crc wk_png_push_check_crc
#define png_push_crc_skip wk_png_push_crc_skip
#define png_push_crc_finish wk_png_push_crc_finish
#define png_push_save_buffer wk_png_push_save_buffer
#define png_push_restore_buffer wk_png_push_restore_buffer
#define png_push_read_IDAT wk_png_push_read_IDAT
#define png_process_IDAT_data wk_png_process_IDAT_data
#define png_push_process_row wk_png_push_process_row
#define png_push_handle_unknown wk_png_push_handle_unknown
#define png_push_have_info wk_png_push_have_info
#define png_push_have_end wk_png_push_have_end
#define png_push_have_row wk_png_push_have_row
#define png_push_read_end wk_png_push_read_end
#define png_process_some_data wk_png_process_some_data
#define png_read_push_finish_row wk_png_read_push_finish_row
#define png_push_handle_tEXt wk_png_push_handle_tEXt
#define png_push_read_tEXt wk_png_push_read_tEXt
#define png_push_handle_zTXt wk_png_push_handle_zTXt
#define png_push_read_zTXt wk_png_push_read_zTXt
#define png_push_handle_iTXt wk_png_push_handle_iTXt
#define png_push_read_iTXt wk_png_push_read_iTXt
#define png_do_read_intrapixel wk_png_do_read_intrapixel
#define png_do_write_intrapixel wk_png_do_write_intrapixel
#define png_colorspace_set_gamma wk_png_colorspace_set_gamma
#define png_colorspace_sync_info wk_png_colorspace_sync_info
#define png_colorspace_sync wk_png_colorspace_sync
#define png_colorspace_set_chromaticities wk_png_colorspace_set_chromaticities
#define png_colorspace_set_endpoints wk_png_colorspace_set_endpoints
#define png_colorspace_set_sRGB wk_png_colorspace_set_sRGB
#define png_colorspace_set_ICC wk_png_colorspace_set_ICC
#define png_icc_check_length wk_png_icc_check_length
#define png_icc_check_header wk_png_icc_check_header
#define png_icc_check_tag_table wk_png_icc_check_tag_table
#define png_icc_set_sRGB wk_png_icc_set_sRGB
#define png_colorspace_set_rgb_coefficients wk_png_colorspace_set_rgb_coefficients
#define png_check_IHDR wk_png_check_IHDR
#define png_do_check_palette_indexes wk_png_do_check_palette_indexes
#define png_fixed_error wk_png_fixed_error
#define png_safecat wk_png_safecat
#define png_format_number wk_png_format_number
#define png_warning_parameter wk_png_warning_parameter
#define png_warning_parameter_unsigned wk_png_warning_parameter_unsigned
#define png_warning_parameter_signed wk_png_warning_parameter_signed
#define png_formatted_warning wk_png_formatted_warning
#define png_app_warning wk_png_app_warning
#define png_app_error wk_png_app_error
#define png_chunk_report wk_png_chunk_report
#define png_ascii_from_fp wk_png_ascii_from_fp
#define png_ascii_from_fixed wk_png_ascii_from_fixed
#define png_check_fp_number wk_png_check_fp_number
#define png_check_fp_string wk_png_check_fp_string
#define png_muldiv wk_png_muldiv
#define png_muldiv_warn wk_png_muldiv_warn
#define png_reciprocal wk_png_reciprocal
#define png_reciprocal2 wk_png_reciprocal2
#define png_gamma_significant wk_png_gamma_significant
#define png_gamma_correct wk_png_gamma_correct
#define png_gamma_16bit_correct wk_png_gamma_16bit_correct
#define png_gamma_8bit_correct wk_png_gamma_8bit_correct
#define png_destroy_gamma_table wk_png_destroy_gamma_table
#define png_build_gamma_table wk_png_build_gamma_table
#define png_safe_error wk_png_safe_error
#define png_safe_warning wk_png_safe_warning
#define png_safe_execute wk_png_safe_execute
#define png_image_error wk_png_image_error
#define png_access_version_number wk_png_access_version_number
#define png_build_grayscale_palette wk_png_build_grayscale_palette
#define png_convert_to_rfc1123 wk_png_convert_to_rfc1123
#define png_convert_to_rfc1123_buffer wk_png_convert_to_rfc1123_buffer
#define png_create_info_struct wk_png_create_info_struct
#define png_data_freer wk_png_data_freer
#define png_destroy_info_struct wk_png_destroy_info_struct
#define png_free_data wk_png_free_data
#define png_get_copyright wk_png_get_copyright
#define png_get_header_ver wk_png_get_header_ver
#define png_get_header_version wk_png_get_header_version
#define png_get_io_ptr wk_png_get_io_ptr
#define png_get_libpng_ver wk_png_get_libpng_ver
#define png_handle_as_unknown wk_png_handle_as_unknown
#define png_image_free wk_png_image_free
#define png_info_init_3 wk_png_info_init_3
#define png_init_io wk_png_init_io
#define png_reset_zstream wk_png_reset_zstream
#define png_save_int_32 wk_png_save_int_32
#define png_set_option wk_png_set_option
#define png_set_sig_bytes wk_png_set_sig_bytes
#define png_sig_cmp wk_png_sig_cmp
#define png_benign_error wk_png_benign_error
#define png_chunk_benign_error wk_png_chunk_benign_error
#define png_chunk_error wk_png_chunk_error
#define png_chunk_warning wk_png_chunk_warning
#define png_error wk_png_error
#define png_get_error_ptr wk_png_get_error_ptr
#define png_longjmp wk_png_longjmp
#define png_set_error_fn wk_png_set_error_fn
#define png_set_longjmp_fn wk_png_set_longjmp_fn
#define png_warning wk_png_warning
#define png_get_bit_depth wk_png_get_bit_depth
#define png_get_bKGD wk_png_get_bKGD
#define png_get_channels wk_png_get_channels
#define png_get_cHRM wk_png_get_cHRM
#define png_get_cHRM_fixed wk_png_get_cHRM_fixed
#define png_get_cHRM_XYZ wk_png_get_cHRM_XYZ
#define png_get_cHRM_XYZ_fixed wk_png_get_cHRM_XYZ_fixed
#define png_get_chunk_cache_max wk_png_get_chunk_cache_max
#define png_get_chunk_malloc_max wk_png_get_chunk_malloc_max
#define png_get_color_type wk_png_get_color_type
#define png_get_compression_buffer_size wk_png_get_compression_buffer_size
#define png_get_compression_type wk_png_get_compression_type
#define png_get_filter_type wk_png_get_filter_type
#define png_get_gAMA wk_png_get_gAMA
#define png_get_gAMA_fixed wk_png_get_gAMA_fixed
#define png_get_hIST wk_png_get_hIST
#define png_get_iCCP wk_png_get_iCCP
#define png_get_IHDR wk_png_get_IHDR
#define png_get_image_height wk_png_get_image_height
#define png_get_image_width wk_png_get_image_width
#define png_get_interlace_type wk_png_get_interlace_type
#define png_get_io_chunk_type wk_png_get_io_chunk_type
#define png_get_io_state wk_png_get_io_state
#define png_get_oFFs wk_png_get_oFFs
#define png_get_palette_max wk_png_get_palette_max
#define png_get_pCAL wk_png_get_pCAL
#define png_get_pHYs wk_png_get_pHYs
#define png_get_pHYs_dpi wk_png_get_pHYs_dpi
#define png_get_pixel_aspect_ratio wk_png_get_pixel_aspect_ratio
#define png_get_pixel_aspect_ratio_fixed wk_png_get_pixel_aspect_ratio_fixed
#define png_get_pixels_per_inch wk_png_get_pixels_per_inch
#define png_get_pixels_per_meter wk_png_get_pixels_per_meter
#define png_get_PLTE wk_png_get_PLTE
#define png_get_rgb_to_gray_status wk_png_get_rgb_to_gray_status
#define png_get_rowbytes wk_png_get_rowbytes
#define png_get_rows wk_png_get_rows
#define png_get_sBIT wk_png_get_sBIT
#define png_get_sCAL wk_png_get_sCAL
#define png_get_sCAL_fixed wk_png_get_sCAL_fixed
#define png_get_sCAL_s wk_png_get_sCAL_s
#define png_get_signature wk_png_get_signature
#define png_get_sPLT wk_png_get_sPLT
#define png_get_sRGB wk_png_get_sRGB
#define png_get_text wk_png_get_text
#define png_get_tIME wk_png_get_tIME
#define png_get_tRNS wk_png_get_tRNS
#define png_get_unknown_chunks wk_png_get_unknown_chunks
#define png_get_user_chunk_ptr wk_png_get_user_chunk_ptr
#define png_get_user_height_max wk_png_get_user_height_max
#define png_get_user_width_max wk_png_get_user_width_max
#define png_get_valid wk_png_get_valid
#define png_get_x_offset_inches wk_png_get_x_offset_inches
#define png_get_x_offset_inches_fixed wk_png_get_x_offset_inches_fixed
#define png_get_x_offset_microns wk_png_get_x_offset_microns
#define png_get_x_offset_pixels wk_png_get_x_offset_pixels
#define png_get_x_pixels_per_inch wk_png_get_x_pixels_per_inch
#define png_get_x_pixels_per_meter wk_png_get_x_pixels_per_meter
#define png_get_y_offset_inches wk_png_get_y_offset_inches
#define png_get_y_offset_inches_fixed wk_png_get_y_offset_inches_fixed
#define png_get_y_offset_microns wk_png_get_y_offset_microns
#define png_get_y_offset_pixels wk_png_get_y_offset_pixels
#define png_get_y_pixels_per_inch wk_png_get_y_pixels_per_inch
#define png_get_y_pixels_per_meter wk_png_get_y_pixels_per_meter
#define png_calloc wk_png_calloc
#define png_free wk_png_free
#define png_free_default wk_png_free_default
#define png_get_mem_ptr wk_png_get_mem_ptr
#define png_malloc wk_png_malloc
#define png_malloc_default wk_png_malloc_default
#define png_malloc_warn wk_png_malloc_warn
#define png_set_mem_fn wk_png_set_mem_fn
#define png_get_progressive_ptr wk_png_get_progressive_ptr
#define png_process_data wk_png_process_data
#define png_process_data_pause wk_png_process_data_pause
#define png_process_data_skip wk_png_process_data_skip
#define png_progressive_combine_row wk_png_progressive_combine_row
#define png_set_progressive_read_fn wk_png_set_progressive_read_fn
#define png_create_read_struct wk_png_create_read_struct
#define png_create_read_struct_2 wk_png_create_read_struct_2
#define png_destroy_read_struct wk_png_destroy_read_struct
#define png_image_begin_read_from_file wk_png_image_begin_read_from_file
#define png_image_begin_read_from_memory wk_png_image_begin_read_from_memory
#define png_image_begin_read_from_stdio wk_png_image_begin_read_from_stdio
#define png_image_finish_read wk_png_image_finish_read
#define png_read_end wk_png_read_end
#define png_read_image wk_png_read_image
#define png_read_info wk_png_read_info
#define png_read_png wk_png_read_png
#define png_read_row wk_png_read_row
#define png_read_rows wk_png_read_rows
#define png_read_update_info wk_png_read_update_info
#define png_set_read_status_fn wk_png_set_read_status_fn
#define png_start_read_image wk_png_start_read_image
#define png_set_read_fn wk_png_set_read_fn
#define png_set_alpha_mode wk_png_set_alpha_mode
#define png_set_alpha_mode_fixed wk_png_set_alpha_mode_fixed
#define png_set_background wk_png_set_background
#define png_set_background_fixed wk_png_set_background_fixed
#define png_set_crc_action wk_png_set_crc_action
#define png_set_expand wk_png_set_expand
#define png_set_expand_16 wk_png_set_expand_16
#define png_set_expand_gray_1_2_4_to_8 wk_png_set_expand_gray_1_2_4_to_8
#define png_set_gamma wk_png_set_gamma
#define png_set_gamma_fixed wk_png_set_gamma_fixed
#define png_set_gray_to_rgb wk_png_set_gray_to_rgb
#define png_set_palette_to_rgb wk_png_set_palette_to_rgb
#define png_set_quantize wk_png_set_quantize
#define png_set_read_user_transform_fn wk_png_set_read_user_transform_fn
#define png_set_rgb_to_gray wk_png_set_rgb_to_gray
#define png_set_rgb_to_gray_fixed wk_png_set_rgb_to_gray_fixed
#define png_set_scale_16 wk_png_set_scale_16
#define png_set_strip_16 wk_png_set_strip_16
#define png_set_strip_alpha wk_png_set_strip_alpha
#define png_set_tRNS_to_alpha wk_png_set_tRNS_to_alpha
#define png_get_int_32 wk_png_get_int_32
#define png_get_uint_16 wk_png_get_uint_16
#define png_get_uint_31 wk_png_get_uint_31
#define png_get_uint_32 wk_png_get_uint_32
#define png_permit_mng_features wk_png_permit_mng_features
#define png_set_benign_errors wk_png_set_benign_errors
#define png_set_bKGD wk_png_set_bKGD
#define png_set_check_for_invalid_index wk_png_set_check_for_invalid_index
#define png_set_cHRM wk_png_set_cHRM
#define png_set_cHRM_fixed wk_png_set_cHRM_fixed
#define png_set_cHRM_XYZ wk_png_set_cHRM_XYZ
#define png_set_cHRM_XYZ_fixed wk_png_set_cHRM_XYZ_fixed
#define png_set_chunk_cache_max wk_png_set_chunk_cache_max
#define png_set_chunk_malloc_max wk_png_set_chunk_malloc_max
#define png_set_compression_buffer_size wk_png_set_compression_buffer_size
#define png_set_gAMA wk_png_set_gAMA
#define png_set_gAMA_fixed wk_png_set_gAMA_fixed
#define png_set_hIST wk_png_set_hIST
#define png_set_iCCP wk_png_set_iCCP
#define png_set_IHDR wk_png_set_IHDR
#define png_set_invalid wk_png_set_invalid
#define png_set_keep_unknown_chunks wk_png_set_keep_unknown_chunks
#define png_set_oFFs wk_png_set_oFFs
#define png_set_pCAL wk_png_set_pCAL
#define png_set_pHYs wk_png_set_pHYs
#define png_set_PLTE wk_png_set_PLTE
#define png_set_read_user_chunk_fn wk_png_set_read_user_chunk_fn
#define png_set_rows wk_png_set_rows
#define png_set_sBIT wk_png_set_sBIT
#define png_set_sCAL wk_png_set_sCAL
#define png_set_sCAL_fixed wk_png_set_sCAL_fixed
#define png_set_sCAL_s wk_png_set_sCAL_s
#define png_set_sPLT wk_png_set_sPLT
#define png_set_sRGB wk_png_set_sRGB
#define png_set_sRGB_gAMA_and_cHRM wk_png_set_sRGB_gAMA_and_cHRM
#define png_set_text wk_png_set_text
#define png_set_tIME wk_png_set_tIME
#define png_set_tRNS wk_png_set_tRNS
#define png_set_unknown_chunk_location wk_png_set_unknown_chunk_location
#define png_set_unknown_chunks wk_png_set_unknown_chunks
#define png_set_user_limits wk_png_set_user_limits
#define png_get_current_pass_number wk_png_get_current_pass_number
#define png_get_current_row_number wk_png_get_current_row_number
#define png_get_user_transform_ptr wk_png_get_user_transform_ptr
#define png_set_add_alpha wk_png_set_add_alpha
#define png_set_bgr wk_png_set_bgr
#define png_set_filler wk_png_set_filler
#define png_set_interlace_handling wk_png_set_interlace_handling
#define png_set_invert_alpha wk_png_set_invert_alpha
#define png_set_invert_mono wk_png_set_invert_mono
#define png_set_packing wk_png_set_packing
#define png_set_packswap wk_png_set_packswap
#define png_set_shift wk_png_set_shift
#define png_set_swap wk_png_set_swap
#define png_set_swap_alpha wk_png_set_swap_alpha
#define png_set_user_transform_info wk_png_set_user_transform_info
#define png_set_write_fn wk_png_set_write_fn
#define png_convert_from_struct_tm wk_png_convert_from_struct_tm
#define png_convert_from_time_t wk_png_convert_from_time_t
#define png_create_write_struct wk_png_create_write_struct
#define png_create_write_struct_2 wk_png_create_write_struct_2
#define png_destroy_write_struct wk_png_destroy_write_struct
#define png_image_write_to_file wk_png_image_write_to_file
#define png_image_write_to_stdio wk_png_image_write_to_stdio
#define png_set_compression_level wk_png_set_compression_level
#define png_set_compression_mem_level wk_png_set_compression_mem_level
#define png_set_compression_method wk_png_set_compression_method
#define png_set_compression_strategy wk_png_set_compression_strategy
#define png_set_compression_window_bits wk_png_set_compression_window_bits
#define png_set_filter wk_png_set_filter
#define png_set_filter_heuristics wk_png_set_filter_heuristics
#define png_set_filter_heuristics_fixed wk_png_set_filter_heuristics_fixed
#define png_set_flush wk_png_set_flush
#define png_set_text_compression_level wk_png_set_text_compression_level
#define png_set_text_compression_mem_level wk_png_set_text_compression_mem_level
#define png_set_text_compression_method wk_png_set_text_compression_method
#define png_set_text_compression_strategy wk_png_set_text_compression_strategy
#define png_set_text_compression_window_bits wk_png_set_text_compression_window_bits
#define png_set_write_status_fn wk_png_set_write_status_fn
#define png_set_write_user_transform_fn wk_png_set_write_user_transform_fn
#define png_write_end wk_png_write_end
#define png_write_flush wk_png_write_flush
#define png_write_image wk_png_write_image
#define png_write_info wk_png_write_info
#define png_write_info_before_PLTE wk_png_write_info_before_PLTE
#define png_write_png wk_png_write_png
#define png_write_row wk_png_write_row
#define png_write_rows wk_png_write_rows
#define png_save_uint_16 wk_png_save_uint_16
#define png_save_uint_32 wk_png_save_uint_32
#define png_write_chunk wk_png_write_chunk
#define png_write_chunk_data wk_png_write_chunk_data
#define png_write_chunk_start wk_png_write_chunk_start
#define png_write_chunk_end wk_png_write_chunk_end
#define png_write_sig wk_png_write_sig
#define png_init_filter_functions_neon wk_png_init_filter_functions_neon
#define png_init_filter_functions_sse2 wk_png_init_filter_functions_sse2
#endif  // PNGPREFIX_H
